#!/usr/bin/octave
#########################################################
#   Accumulate the spectra of a channel from UT2XXX     #
#                                                       #
#   Peeter Vois peeter@tauria.ee 2012                   #
#                                                       #
#   Copyright (C) 2012 Peeter Vois                      #
#   Licence: GNU GPL v2 or any later version            #
#########################################################

source "dsoutils.m"

s_tra(125,3)=0;
i = 1;
while( i <= 100 )
	sig = dso_unitrend_allways();
	tra = dso_fft_abs( sig );
	s_tra(:,2:3) = s_tra(:,2:3) .+ tra(:,2:3);
	if( tra( 2, 1 ) !=  s_tra(2,1) )
	   i = 1;
	   s_tra = tra;
	endif
	semilogy( s_tra(:,1),  s_tra(:,2:3) ./ i );
	drawnow();
	printf( "%03d%%\r", i );fflush(stdout);
	i += 1;
	#sleep(1);
endwhile


input( "press enter:" );
