#!/usr/bin/octave
#########################################################
#   Accumulate transfer spectra using ch2/ch1           #
#                                                       #
#   Peeter Vois peeter@tauria.ee 2012                   #
#                                                       #
#   Copyright (C) 2012 Peeter Vois                      #
#   Licence: GNU GPL v2 or any later version            #
#########################################################

source "dsoutils.m"

s_tra(125,2)=0;
i = 1;
while( i <= 100 )
	sig = dso_unitrend_allways();
	tra = dso_fft_transfer( sig );
	s_tra(:,2) = s_tra(:,2) .+ tra(:,2);
	if( tra( 2, 1 ) !=  s_tra( 2, 1) )
	   i = 1;
	   s_tra = tra;
	endif
	semilogy( s_tra(:,1),  s_tra(:,2) ./ i );
	drawnow();
	printf( "%03d%%\r", i );fflush(stdout);
	i += 1;
	#sleep(1);
endwhile

input( "press enter:" );
